package cn.com.poc.agent_application.dto;

import java.util.List;

/**
 * @author alex.yao
 * @date 2025/1/13
 */
public class AgentApplicationPluginDto {

    private List<PluginInfo> pluginInfos;

    private String classification;

    private String classificationName;

    public String getClassification() {
        return classification;
    }

    public void setClassification(String classification) {
        this.classification = classification;
    }

    public List<PluginInfo> getPluginInfos() {
        return pluginInfos;
    }

    public void setPluginInfos(List<PluginInfo> pluginInfos) {
        this.pluginInfos = pluginInfos;
    }

    public String getClassificationName() {
        return classificationName;
    }

    public void setClassificationName(String classificationName) {
        this.classificationName = classificationName;
    }

    public static class PluginInfo {

        private Double points;

        private String pluginId;

        private String title;

        private String description;

        private String icon;

        public Double getPoints() {
            return points;
        }

        public void setPoints(Double points) {
            this.points = points;
        }

        public String getIcon() {
            return icon;
        }

        public void setIcon(String icon) {
            this.icon = icon;
        }

        public String getPluginId() {
            return pluginId;
        }

        public void setPluginId(String pluginId) {
            this.pluginId = pluginId;
        }


        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }
    }

}
